## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# VariablesStack::InvalidStackContextException Class Reference

`#include <VariablesStack.hpp>`

Inheritance diagram for VariablesStack::InvalidStackContextException:

[legend]
Collaboration diagram for VariablesStack::InvalidStackContextException:

[legend]
List of all members.

## Public Methods

- InvalidStackContextException (XalanDOMString &theResult)
- virtual ~InvalidStackContextException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

VariablesStack::InvalidStackContextException::InvalidStackContextException ( | XalanDOMString & theResult )

VariablesStack::InvalidStackContextException::~InvalidStackContextException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * VariablesStack::InvalidStackContextException::getType ( | ) const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XSLTProcessorException.

The documentation for this class was generated from the following file:

- VariablesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.